/**
 * Licensed under the MICE s.r.l.
 * End User License Agreement
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.micegroup.it/voila/license.html
 */
package it.mice.voila.runtime.displaytag.basedec;

import javax.servlet.jsp.PageContext;

import it.mice.voila.runtime.entity.Entity;

/**
 * Display Column Decorator per la trasformazione delle date anche con l'ora.
 *
 */
public class EntityListObjectTitleToHtmlListDecorator extends AbstractEntityListToHtmlListDecorator {
    public EntityListObjectTitleToHtmlListDecorator() {
        super();
    }

	protected String extractTextFromEntity(Entity riga) {
		return riga.getObjectTitle();
	}

	@Override
	public void setPageContext(PageContext pageContext) {
		super.setPageContext(pageContext);
	}
}
